Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class DateSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.SimpleSerializer
          org.apache.axis.encoding.ser.DateSerializer

All Implemented Interfaces:
  Serializable, Serializer, javax.xml.rpc.encoding.Serializer, SimpleValueSerializer

Direct Known Subclasses:
  CalendarSerializer

public class DateSerializer
extends SimpleSerializer

Serializer for Dates.

Author:
  Sam Ruby Modified by @author Rich scheuerle
See Also:
  XML Schema 3.2.16, Serialized Form

Field Summary
`protected javax.xml.namespace.QName` | `defaultXmlType`

Fields inherited from class org.apache.axis.encoding.ser.SimpleSerializer
`javaType, xmlType`

Constructor Summary
`DateSerializer(Class javaType, javax.xml.namespace.QName xmlType)`

Method Summary
`String` | `getMechanismType()`
`String` | `getValueAsString(Object value, SerializationContext context)` Return an XML compatible representation of the value.
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, SerializationContext context)` Serialize a Date.
`Element` | `writeSchema(Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultXmlType

    protected javax.xml.namespace.QName defaultXmlType

Constructor Detail

### DateSerializer

    public DateSerializer(Class javaType,
                          javax.xml.namespace.QName xmlType)

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          SerializationContext context)
                   throws IOException

  Serialize a Date.

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `SimpleSerializer`
  Throws:
    `IOException`

### getValueAsString

    public String getValueAsString(Object value,
                                   SerializationContext context)

  Description copied from interface: `SimpleValueSerializer`
  Return an XML compatible representation of the value.

  Specified by:
    `getValueAsString` in interface `SimpleValueSerializer`
  Overrides:
    `getValueAsString` in class `SimpleSerializer`

### getMechanismType

    public String getMechanismType()

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`
  Overrides:
    `getMechanismType` in class `SimpleSerializer`

### writeSchema

    public Element writeSchema(Class javaType,
                               Types types)
                        throws Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Overrides:
    `writeSchema` in class `SimpleSerializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.